## org.apache.hadoop.net
Class NetUtils.StandardHostResolver

    java.lang.Object
      org.apache.hadoop.net.NetUtils.StandardHostResolver

All Implemented Interfaces:
  NetUtils.HostResolver

Enclosing class:
  NetUtils

    protected static class NetUtils.StandardHostResolver

extends Object
implements NetUtils.HostResolver

Uses standard java host resolution

Constructor Summary
`protected` `NetUtils.StandardHostResolver()`

Method Summary
`InetAddress` `getByName(String host)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetUtils.StandardHostResolver

    protected NetUtils.StandardHostResolver()

Method Detail

### getByName

    public InetAddress getByName(String host)
                          throws UnknownHostException

  Specified by:
    `getByName` in interface `NetUtils.HostResolver`
  Throws:
    `UnknownHostException`

Copyright © 2009 The Apache Software Foundation